[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Themes' (#lcl)

# TThemeServices.DrawText

Draws the text for a themed control.

## Declaration

Source position: themes.pas line 499

`public procedure TThemeServices.DrawText(`
`DC: HDC;`
`Details: TThemedElementDetails;`
`const S: string;`
`R: TRect;`
`Flags: Cardinal;`
`Flags2: Cardinal`
`); virtual; overload; procedure TThemeServices.DrawText(`
`ACanvas: TPersistent;`
`Details: TThemedElementDetails;`
`const S: string;`
`R: TRect;`
`Flags: Cardinal;`
`Flags2: Cardinal`
`); virtual; overload;`

## Description

DrawText is an overloaded method used to draw the text or caption for a themed control.